升级WordPress网站底部出现:Warning: Missing argument 2 for wpdb::prepare()…解决办法

我发现无论是升级WordPress3.5  还是升级WordPress4.0升级的时候底部总是出现“Warning: Missing argument 2 for wpdb::prepare()…”这样的错误。(省略号是跟的文件路径,那行的代码)。如何解决呢,其实很简单,是文件某个参数没有赋值,更改一下就可以解决。

找到提示文件哪行的错误代码,比如我这次升级提示是在使用模板文件footer.php 第22行代码出错,找到这行代码。

Warning: Missing argument 2 for wpdb::prepare()

将post_date_gmt > 1970″));修改成:post_date_gmt > 1970″, “”));       其实就是赋一个空值吧!

 

这样再看看,就没有错误提示了。不同的模板文件,文件的路径都不一样,所以大家根据自己的模板主题去修改。

关于作者

杰夫(jerfo0)

杰夫(jerfo0)

一个活的真实,耿直的boy。
坚定相信爱情,向往自由,对世界充满好奇心。热爱美剧、海贼王、一切户外运动、旅行...
职业:互联网运营。
生命不息,折腾不止,燥起来!!

查看全部帖子

发表评论

电子邮件地址不会被公开。 必填项已用*标注